#include "radar.h"

#include "../datatypes.h"
#include "../algorithms.h"

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

static char buffer[BUFFER_LEN];
static char path[BUFFER_LEN];


//////// RADAR INI ////////

TURFBase *ParseRect(char *text)
{
	if (!*text) return NULL;

	TURFBase *base = new TURFBase;

	String x1, x2, y1, y2, info = text;

	do
	{
		x1 = info.split(',');
		y1 = info.split(',');
		x2 = info.split(',');
		y2 = info.split(',');

		int X1, X2, Y1, Y2;
		X1 = x1.toInteger();
		Y1 = y1.toInteger();
		X2 = x2.toInteger();
		Y2 = y2.toInteger();

		TURFRect *rect = new TURFRect;
		rect->ul.x = X1;
		rect->ul.y = Y1;
		rect->lr.x = X2;
		rect->lr.y = Y2;
		base->regions.append(rect);
	} while (x2 != info);

	return base;
}

void LoadSettings(TURFSettings &setts)
{
	GetCurrentDirectory(BUFFER_LEN - 64, path);
	strcat(path, "\\radar.ini");

	for (int i = 1; i < 100; ++i)
	{
		GetPrivateProfileString("Regions", String(i).msg, "", buffer, BUFFER_LEN, path);

		TURFBase *base = ParseRect(buffer);
		if (!base) break;

		GetPrivateProfileString("FlagCount", String(i).msg, "", buffer, BUFFER_LEN, path);

		base->red = false;
		base->max = String(buffer).toInteger();
		base->index = i;
		setts.bases.append(base);
	}
}
